##
##  devtool.conf -- Development Tool Configuration
##

%autogen
    @autogen shtool   2.0.7 "2.0.*" echo fixperm install mkdir tarball version
    @autogen autoconf 2.63  "2.6[0-9]*"

%autoclean
    @autoclean shtool
    @autoclean autoconf

%configure
    ./configure \
        --prefix=/tmp/as_gui/ \
        --datadir=/tmp/as_gui/share/ \
        --with-mico \
        --with-esoap \
        "$@"

%release
    ./devtool dist
    ./devtool upload

%version
    ./shtool version -l c -n "OSSP as-gui" -p "asgui_" -e as_version.cpp
    V=`./shtool version -l c -d long as_version.cpp`
    sed -e "s/Version .*(.*)/Version $V/g" <README >README.n
    mv README.n README

%tag
    V=`./shtool version -l c -d short as_version.cpp | sed -e 's;\.;_;g'`
    echo "+++ tagging CVS sources as ASGUI_${V}"
    cvs tag ASGUI_${V}

%dist
    echo "+++ cleaning"
    rm -f as-gui-*.tar.gz
    ./devtool autoclean
    echo "+++ generating"
    ./devtool autogen
    echo "+++ configuring"
    ./devtool configure
    echo "+++ building"
    make clean all -j4
    echo "+++ cleaning"
    make distclean >/dev/null 2>&1
    echo "+++ fixing"
    ./shtool fixperm -v .
    echo "+++ rolling"
    V=`./shtool version -l c -d short as_version.cpp`
    ./shtool tarball -o as-gui-${V}.tar.gz -d as-gui-${V} \
                     -e 'CVS,\.cvsignore,\.[ao]$,^\.,devtool*,*.tar.gz,^#.*,.*~$,*.bak' \
                     -e 'autom4te\.cache,as_stub.cpp,as_stub.h,as_scrap,as_gfx/*.png' \
                     -c 'gzip --best' .
    ls -l as-gui-${V}.tar.gz
    echo "+++ testing"
    gunzip <as-gui-${V}.tar.gz | tar tvf - | head -10
    echo "[...]"
    gunzip <as-gui-${V}.tar.gz | tar tvf - | tail -10

%upload
    echo "+++ copying to ftp://ftp.sourcehost.tld/source/"
    V=`./shtool version -l c -d short as_version.cpp`
    scp as-gui-${V}.tar.gz user@dev.host.tld:/z/as/source/
